Package org.snpeff.vcf

# Enum Class VcfHeaderInfo.VcfInfoNumber

java.lang.Object
java.lang.Enum<VcfHeaderInfo.VcfInfoNumber>
org.snpeff.vcf.VcfHeaderInfo.VcfInfoNumber

All Implemented Interfaces:
  `Serializable`, `Comparable<VcfHeaderInfo.VcfInfoNumber>`, `Constable`

Enclosing class:
  `VcfHeaderInfo`

public static enum VcfHeaderInfo.VcfInfoNumber extends Enum<VcfHeaderInfo.VcfInfoNumber>
Number of values in an INFO field. Reference http://samtools.github.io/hts-specs/VCFv4.2.pdf Number of items in an INFO field. The Number entry is an Integer that describes the number of values that can be included with the INFO field. For example, if the INFO field contains a single number, then this value should be 1; if the INFO field describes a pair of numbers, then this value should be 2 and so on. There are also certain special characters used to define special cases: - If the field has one value per alternate allele then this value should be `A'. - If the field has one value for each possible allele (including the reference), then this value should be `R'. - If the field has one value for each possible genotype (more relevant to the FORMAT tags) then this value should be `G'. - If the number of possible values varies, is unknown, or is unbounded, then this value should be `.'. The `Flag' type indicates that the INFO field does not contain a Value entry, and hence the Number should be 0 in this case.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL_ALLELES`
`ALLELE`
`GENOTYPE`
`NUMBER`
`UNLIMITED`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static VcfHeaderInfo.VcfInfoNumber`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VcfHeaderInfo.VcfInfoNumber[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NUMBER

public static final VcfHeaderInfo.VcfInfoNumber NUMBER

### UNLIMITED

public static final VcfHeaderInfo.VcfInfoNumber UNLIMITED

### ALLELE

public static final VcfHeaderInfo.VcfInfoNumber ALLELE

### ALL_ALLELES

public static final VcfHeaderInfo.VcfInfoNumber ALL_ALLELES

### GENOTYPE

public static final VcfHeaderInfo.VcfInfoNumber GENOTYPE

## Method Details

### values

public static VcfHeaderInfo.VcfInfoNumber[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VcfHeaderInfo.VcfInfoNumber valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<VcfHeaderInfo.VcfInfoNumber>`